<?PHP
	include "include/globals.php";
	include "include/mailfunctions.php";

	$mbox = open_mailbox();

	function CreateFolderList($folderarr, $mbox) {
		echo("	<script type=\"text/javascript\">\n");
		echo("		<!--\n");
		echo("		if (document.getElementById) {\n");
		echo("			var foldertree = new WebFXTree('Inside Systems Mail');\n");
		echo("			foldertree.setBehavior('explorer');\n");
		$modstring = "";
		for($i = 0; $i < count($folderarr); $i++) {
			echo("			var tn" . $i . " = new WebFXTreeItem('" . addslashes($folderarr[$i]["name"]));
			$status = imap_status($mbox, $folderarr[$i]["folder"],SA_ALL);
			if ($status->unseen > 0) {
				echo(" (" . $status->unseen . ")");
				echo("');\n");
				$modstring .= "document.getElementById('webfx-tree-object-" . ($i + 3). "-anchor').style.fontWeight = 'bold';\n";
				$modstring .= "parent.document.title = '* Inside Systems Mail " . addslashes($GLOBALS["ismailversion"]) . "';\n";
			} else {
				echo ("');\n");
			}
			if ($folderarr[$i]["level"] > 1) {
				for ($j = $i; $j >= 0; $j--) {
					if ($folderarr[$j]["level"] < $folderarr[$i]["level"]) {
						echo("			tn" . $j . ".add(tn" . $i . ");\n");
						if ($status->unseen > 0) {
							$modstring .= "			tn" . $j . ".expand();\n";
						}
						break;
					}
				}
			} else {
				echo("			foldertree.add(tn" . $i . ");\n");
			}
			if ($folderarr[$i]["folder"] != "") {
				echo("			tn" . $i . ".action = 'javascript:viewfolder(\'" . urlencode(addslashes($folderarr[$i]["folder"])) . "\', " . ($i + 3) . ")';\n");
			}
			if ($folderarr[$i]["folder"] == $_SESSION["currentfolder"]) {
				echo ("		var currentfolder = '" . addslashes($_SESSION["currentfolder"]) . "';\n");
				echo("		var currentfolderid = " . ($i + 3) . ";\n");
				$foundcurrent = 1;
			}
		}
		echo("			document.write(foldertree);\n");
		echo($modstring);
		echo("		}\n");
		// There are a variety of circumstances where a current folder won't be found.
		// When that happens, we will just assign the first folder we have as the current folder
		if (!isset($foundcurrent)) {
				$_SESSION["currentfolder"] = $folderarr[0]["folder"];
				echo ("		var currentfolder = '" . addslashes($_SESSION["currentfolder"]) . "';\n");
				echo("		var currentfolderid = 3;\n");
		}
		echo("	// -->\n");
		echo("	</script>\n");
	}

	PageHeader(1);
?>
<head>
	<title></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/globals.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/xtree.css";
	</style>
	<script type="text/JavaScript">
		<?php include "xtree/xtree.php"; ?>
	</script>
	<script type="text/javascript">
		<!--
		parent.document.title = 'Inside Systems Mail <?php echo($GLOBALS["ismailversion"]);?>';
		dragunderway = 0;

		var lastid = 0;

		function viewfolder(folder, id) {
			lastid = id;
			if (parent.maillist) {
				parent.maillist.location.href='maillist.php?newmailbox=' + escape(folder);
			} else {
				setTimeout('viewfolder(' + escape(folder) + ', ' + id + ');', 500);
			}
		}
		// -->
	</script>
</head>
<body>
<div id="folders">
	<?php
		$folderarr = getfolderlist($mbox);
		if ($folderarr !== false) {
			CreateFolderList($folderarr, $mbox);
		}
	?>
</div>
<script type="text/javascript">
	<!--
	viewfolder(currentfolder, currentfolderid);

	<?php
		if (($_SESSION["autorefresh"] == 1) && ($_SESSION["refreshinterval"] > 0)) {
			echo("	function RefreshFolders() {\n");
			echo("		if (parent.hiddenframe.isDone == 1) {\n");
			echo("			parent.hiddenframe.location.href = 'hidden.php?action=refreshfolderlist';\n");
			echo("		}\n");
			echo("	}\n");
			echo("	setInterval('RefreshFolders();', " . ((int)$_SESSION["refreshinterval"]*60000) . ");\n");
		}
	?>
	// -->
</script>
</body>
<?php
	// Clear errors and close the connection
	imap_errors();
	imap_close($mbox);
?>
</html>
