<?PHP
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	$AddressBook = new AddressBook();
	if (isset($_GET["action"]) && ($_GET["action"] == "addentry")) {
		$result = $AddressBook->AddEntry(trim($_GET["value"]));
		if ($result["code"] == 0) {
			$error = gettext("That address could not be added to the address book");
		} else if ($result["code"] == 2) {
			$error = gettext("That address is already in the address book for") . " " . $result["id"] . ".";
		} else {
			$setto = $result["id"];
		}
	} else if (isset($_GET["action"]) && ($_GET["action"] == "deleteentry")) {
		if (!$AddressBook->DeleteEntry($_GET["abid"])) {
			$error = gettext("Unable to delete addressbook entry");
		} else {
			$deleted = true;
		}
	}
	
	$entries = $AddressBook->GetEntries();
	PageHeader(1);
?>
<head>
	<title></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/globals.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/addressbook.css";
	</style>
</head>
<body>
<div id="addresses">
<?php
	for ($i = 0; $i < count($entries); $i++) {
		echo("			<span onclick=\"EE(" . $entries[$i]["id"] . ")\">" . $entries[$i]["name"] . "</span><br/>\n");
	}
?>
</div>
<script type="text/javascript">
<!--
function EE(abid) {
	parent.abentry.location.href = 'addressbookentry.php?abid=' + abid;
}
<?php
	if (isset($error)) {
		echo("alert('" . addslashes($error) . "');\n");
	}
	if (isset($setto)) {
		echo("EE(" . $setto . ");\n");
	}
	if (isset($deleted)) {
		echo("EE(" . $entries[0]["id"] . ");\n");
	}
?>
// -->
</script>
</body>
</html>
